#ifndef _DRIVER_EXAMPLE_H_
#define _DRIVER_EXAMPLE_H_

#include <ConfigFile.h>

void DriverExampleInit(SensorMemory_t * sensorMemory );
void DriverExampleRead(uint32_t * sensorData,  SensorMemory_t * sensorMemory, uint32_t * sensorDataLength );
void DriverExampleFIFO(uint32_t * sensorData,  SensorMemory_t * sensorMemory, uint32_t * sensorDataLength );
void DriverExampleClearFIFO(SensorMemory_t * sensorMemory );
void DriverExampleClear(SensorMemory_t * sensorMemory );

#endif
